Omissions in heading fixes for bug 431775

Bug #433989 reported by Jeroen T. Vermeulen on 2009-09-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
Medium
Jeroen T. Vermeulen

Bug Description

While fixing bug 431775 (headings for translation group pages) I missed a few spots:
 * The translation group +reassign page reuses its label as its page title. The title should be just "Change owner."
 * The edit/remove pages for translation teams should have a breadcrumb for the language.
 * Why does the remove page for translation teams have more breadcrumbs than the one for editing them?

Related branches

У пон, 21. 09 2009. у 13:20 +0000, Jeroen T. Vermeulen пише:
> * The edit/remove pages for translation teams should have a
> breadcrumb for the language.
> * Why does the remove page for translation teams have more
> breadcrumbs than the one for editing them?

Very interesting, indeed. I believe it's because we are lacking the
language breadcrumb for ITranslator, and because +admin is the default
view (I assume the breadcrumbs code decides to get rid of the last
breadcrumb if we are on a default view, without checking that the last
breadcrumb was for the same view).

The following patch introduces a breadcrumb and canonical_url for ITranslator. However, that reminds me of why I didn't do it right away. With +admin being the default view, that's what you get traversed to. Perhaps a better solution is not to have a default view here, and not provide a breadcrumb for ITranslator, but deviate from the rule we use otherwise when constructing page_title and label to include the language this is for. If we remove +admin as the default view, we'd have to fix URLs as well.

=== modified file 'lib/lp/translations/browser/configure.zcml'
--- lib/lp/translations/browser/configure.zcml 2009-09-19 21:22:13 +0000
+++ lib/lp/translations/browser/configure.zcml 2009-09-21 14:25:05 +0000
@@ -82,6 +82,11 @@
         layer="canonical.launchpad.layers.TranslationsLayer"/>
     <facet
         facet="translations">
+ <browser:url
+ for="lp.translations.interfaces.translator.ITranslator"
+ path_expression="language/code"
+ attribute_to_parent="translationgroup"
+ rootsite="translations"/>
         <browser:defaultView
             for="lp.translations.interfaces.translator.ITranslator"
             name="+admin"

=== modified file 'lib/lp/translations/configure.zcml'
--- lib/lp/translations/configure.zcml 2009-09-17 14:45:59 +0000
+++ lib/lp/translations/configure.zcml 2009-09-21 13:42:30 +0000
@@ -167,6 +167,11 @@
                 permission="launchpad.Edit"
                 set_schema="lp.translations.interfaces.translator.IEditTranslator"/>
         </class>
+ <adapter
+ provides="canonical.launchpad.webapp.interfaces.IBreadcrumb"
+ for="lp.translations.interfaces.translator.ITranslator"
+ factory="lp.translations.browser.translations.TranslationsLanguageBreadcrumb"
+ permission="zope.Public"/>
     </facet>
     <facet
         facet="translations">

Changed in rosetta:
status: New → Triaged
Jeroen T. Vermeulen (jtv) wrote :

Yikes. Adding an ITranslator breadcrumb is problematic because currently it goes to the Translator's +admin page. Some people will need the breadcrumb but have no access to that page.

So I'm leaving that one aside for now. The proper solution AFAICS would require an overview for the Translator, which seems overkill.

Jeroen T. Vermeulen (jtv) wrote :

Maybe I should have refreshed this page after working on other stuff. :-) I've got a fix for the first issue, and some other minor cleanups.

Changed in rosetta:
status: Triaged → In Progress
Jeroen T. Vermeulen (jtv) wrote :

Fixed in devel 9583

Changed in rosetta:
status: In Progress → Fix Committed
Ursula Junque (ursinha) on 2009-10-22
tags: added: qa-needstesting
Ursula Junque (ursinha) on 2009-10-22
tags: added: qa-ok
removed: qa-needstesting
Changed in rosetta:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers